%define upstream_name    Metabase-Client-Simple
%define upstream_version 0.012

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A client that submits to Metabase servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Metabase/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny) >= 0.56.0
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Metabase::User::Profile)
BuildRequires: perl(Metabase::User::Secret)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Metabase::Client::Simple provides is extremely simple, lightweight library
for submitting facts to a Metabase web server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.12.0-6.mga10
+ Revision: 2211741
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.12.0-5.mga9
+ Revision: 1829937
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.12.0-4.mga8
+ Revision: 1495592
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.12.0-3.mga7
+ Revision: 1269250
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.12.0-2.mga6
+ Revision: 1029878
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 0.12.0-1.mga6
+ Revision: 989826
- update to 0.012

* Fri Feb 19 2016 umeabot <umeabot> 0.10.0-2.mga6
+ Revision: 968478
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 0.10.0-1.mga6
+ Revision: 852540
- update to 0.010

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-5.mga5
+ Revision: 748482
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 685398
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 512976
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 369707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.9.0-1.mga3
+ Revision: 286283
- update to 0.009

* Mon Dec 19 2011 shlomif <shlomif> 0.8.0-1.mga2
+ Revision: 184325
- imported package perl-Metabase-Client-Simple


* Fri Jun 24 2011 cpan2dist 0.008-1mdv
- initial mdv release, generated with cpan2dist
